dir=pwd;
M1_name='m1_ortesis.txt';
M2_name='m2_ortesis.txt';
M3_name='m3_ortesis.txt';

cows=size(M1_data,1)

for i=1:cows
   Dist_M1M2(i,:)=norm(M1_data(i,2:4)-M2_data(i,2:4));
   Dist_M1M3(i,:)=norm(M1_data(i,2:4)-M3_data(i,2:4));
   Dist_M2M3(i,:)=norm(M2_data(i,2:4)-M3_data(i,2:4));
end

figure(); hold on;
plot(Dist_M1M2);
plot(Dist_M1M3);
plot(Dist_M2M3);
plot([0 cows],[mean(Dist_M1M2), mean(Dist_M1M2)],'--')
plot([0 cows],[mean(Dist_M1M3), mean(Dist_M1M3)],'--')
plot([0 cows],[mean(Dist_M2M3), mean(Dist_M2M3)],'--')
legend('M1 vs M2','M1 vs M3','M2 vs M3','mean M1 vs M2','mean M1 vs M3','mean M2 vs M3');