clear; clc; close all;
load('Markers_ort.mat')

lines=size(m1,1);


for i=1:lines
    for j=2:4
        M1_M2(i,j-1)=[m1(i,j)-m2(i,j)];
        M2_M3(i,j-1)=[m2(i,j)-m3(i,j)];
    end
    Dist_M1_M2(i)=norm(M1_M2(i,:));
    Dist_M2_M3(i)=norm(M2_M3(i,:));
end

Mean_M1_M2=mean(Dist_M1_M2);
Mean_M2_M3=mean(Dist_M2_M3);

figure; hold on; grid on;
plot(Dist_M1_M2,'b');
plot(Dist_M2_M3,'r');
plot([0,lines],[Mean_M1_M2,Mean_M1_M2]);
plot([0,lines],[Mean_M2_M3,Mean_M2_M3]);

legend('M1 vs M2','M2 vs M3','Mean M1 M2','Mean M2 M3');
